Disable a Pay Link
curl --request PATCH \
--url https://api.hel.io/v1/paylink/{id}/disable \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/paylink/{id}/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/paylink/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disabled": true
}PAY LINKS
Disable a Pay Link
Disable an active paylink, preventing any further payments from being made through it.
PATCH
/
v1
/
paylink
/
{id}
/
disable
Disable a Pay Link
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The unique ID of the pay link you want to disable or enable.
Query Parameters
Toggle this to true to disable the pay link, or false to re-enable it. Set to true to disable the pay link or false to enable it.
Available options:
true, false Your API key can be generated on the Helio Dashboard’s settings page.
Response
Indicates whether the pay link has been successfully disabled or re-enabled.
